/*
 * 쐬: 2003/12/08
 *
 */
package com.muimi.zipview;

import org.eclipse.core.resources.IResource;
import org.eclipse.jface.viewers.TreeViewer;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.IViewSite;
import org.eclipse.ui.PartInitException;
import org.eclipse.ui.part.ViewPart;

/**
 * @author miya
 *
 */
public class ZipViewPart extends ViewPart{

	private TreeViewer treeViewer;


	public void createPartControl(Composite parent) {
		
		org.eclipse.ui.views.navigator.ResourceNavigator r;
		
		treeViewer = new TreeViewer(parent);

		ZipContentProvider provider = new ZipContentProvider();
		treeViewer.setContentProvider(provider);
		treeViewer.setLabelProvider(provider);
		treeViewer.addDoubleClickListener(provider);
		treeViewer.setSorter(provider.getSorter());

	}


	public void setFocus() {
	}

	public void setInput(IResource resource){
		treeViewer.setInput(resource);
	}


	public void init(IViewSite site) throws PartInitException {
		super.init(site);
	}
	


}
