/*
 * 쐬: 2003/12/08
 *
 */
package com.muimi.zipview;

import org.eclipse.core.resources.IResource;
import org.eclipse.core.runtime.IPluginDescriptor;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.PartInitException;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.plugin.AbstractUIPlugin;

/**
 * @author miya
 */
public class ZipViewPlugin extends AbstractUIPlugin {

	private static ZipViewPlugin plugin;

	public ZipViewPlugin(IPluginDescriptor descriptor) {
		super(descriptor);
		plugin = this;
	}

	public static ZipViewPlugin getDefault() {
		return plugin;
	}

	public void openInView(IResource resource) {
		try {
			ZipViewPart part =
				(ZipViewPart) PlatformUI
					.getWorkbench()
					.getActiveWorkbenchWindow()
					.getActivePage()
					.showView("com.muimi.zipview.ZipViewPart");
			part.setInput(resource);
		} catch (PartInitException e) {
			e.printStackTrace();
		}
	}

	//	public void openInEditor(ZipEntry zipEntry){
	//		PlatformUI.getWorkbench().getEditorRegistry().getDefaultEditor();
	//	}

	public static IWorkbenchPage getPage() {
		return PlatformUI
			.getWorkbench()
			.getActiveWorkbenchWindow()
			.getActivePage();
	}
	

}
